Loading...
Searching...
No Matches
pqxx::quiet_errorhandler Class Reference
Inheritance diagram for pqxx::quiet_errorhandler:
[legend]
Collaboration diagram for pqxx::quiet_errorhandler:
[legend]

## Public Member Functions

| quiet_errorhandler (connection &cx)
| Suppress error notices.
virtual bool | operator() (char const[]) noexcept override
| Revert to previous handling of error notices.
Public Member Functions inherited from pqxx::errorhandler
| errorhandler (connection &)
| errorhandler (errorhandler const &)=delete
errorhandler & | operator= (errorhandler const &)=delete

## Detailed Description

Deprecated:
  Use a notice handler instead.

## Member Function Documentation

## operator()()

virtual bool pqxx::quiet_errorhandler::operator() | ( | char const | [] | ) |

inline override virtual noexcept

Revert to previous handling of error notices.

Implements pqxx::errorhandler.

The documentation for this class was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/errorhandler.hxx